use serde::Deserialize;
use std::{fs, time::Duration};

#[derive(Deserialize)]
pub struct Config {
	pub(crate) beacon_period: Duration,
	pub(crate) identification_period: Duration,
	pub(crate) tx_delay: Duration,
	pub(crate) audio_device: String,
	pub(crate) beep_file: String,
	pub(crate) identification_file: String,
}

pub fn get_conf() -> Config {
	let file_contents = read_conf_file();
	match toml::from_str(&file_contents) {
		Ok(x) => x,
		Err(x) => {
			panic!("Error parsing config file: {}", x);
		}
	}
}
fn read_conf_file() -> String {
	let filenames = ["config.toml"];
	for filename in filenames.iter() {
		if let Ok(x) = fs::read_to_string(filename) {
			return x;
		}
	}
	panic!("Could not open config file");
}
